<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.huatek.busi.mapper.BusiOfflineGeneratorBrandMapper">
    <sql id="Base_Column_List">
    	id as id,
        site_id as siteId,
        main_equipment_id as mainEquipmentId,
        generator_name as generatorName,
        equipment_delivery_time as equipmentDeliveryTime,
        equipment_code as equipmentCode,
        site_code as siteCode,
        equipment_model as equipmentModel,
        factory_time as factoryTime,
        manufacturer as manufacturer,
        design_life as designLife,
        health_aassessment_start_time as healthAassessmentStartTime,
        create_user as createUser,
        create_time as createTime,
        status as status,
        chart_radius as chartRadius
    </sql>
    <select id="findBusiOfflineGeneratorBrandVo" parameterType="java.lang.String"
            resultType="com.huatek.busi.vo.BusiOfflineGeneratorBrandVo">
        SELECT
        <include refid="Base_Column_List"/>
        FROM
        busi_offline_generator_brand
        WHERE
        STATUS = '1'
        AND site_id = #{siteId}
        AND main_equipment_id = #{mainEquipmentId}

    </select>

    <select id="findGenBrandVo" parameterType="java.lang.String"
            resultType="com.huatek.busi.vo.BusiOfflineGeneratorBrandVo">
        SELECT
        <include refid="Base_Column_List"/>
        FROM
        busi_offline_generator_brand
        WHERE
        STATUS = '1'
        AND main_equipment_id = #{mainEquipmentId}
    </select>
</mapper>